## nvidia-settings 275.21

=== debian/changelog ===
nvidia-settings (275.21-1) unstable; urgency=low

  * New upstream release.
    - Fixed a bug that caused nvidia-settings to crash when configuring
      multiple X screens after all monitors were unplugged from one of
      the X screens.
    - Fixed a bug in nvidia-settings that caused the display configuration
      page to show extra disabled displays after connecting a new monitor.
  * Recommend libgl1-nvidia-glx-any (for libGL.so.1).

 -- Andreas Beckmann <debian@abeckmann.de>  Sat, 23 Jul 2011 12:28:54 +0200

nvidia-settings (275.09.07-1) unstable; urgency=low

  [ Andreas Beckmann ]
  * New upstream release.
    - Fixed a bug that caused nvidia-settings to crash while saving the X
      configuration file on some Linux distributions.  [275.09]
  * Drop dependency on nvidia-common in favor of nvidia-installer-cleanup.

  [ Russ Allbery ]
  * Add DM-Upload-Allowed: yes.

 -- Russ Allbery <rra@debian.org>  Thu, 16 Jun 2011 07:27:48 -0700

nvidia-settings (270.41.06-1) unstable; urgency=low

  [ Andreas Beckmann ]
  * new upstream release  (closes: #587691)
    - Added support for configuring the dithering depth used when driving
      a flat panel with a GeForce 8 family or Quadro 4600/5600 or
      newer GPU.  See the "Dithering Controls" in the Flat Panel page
      in nvidia-settings.  [260.19.06]
    - Added GPU "Processor Clock" reporting to the nvidia-settings PowerMizer
      page.  [260.19.04]
    - Added support for configuring the dithering mode used when driving
      a flat panel with a GeForce 8 family or Quadro 4600/5600 or
      newer GPU.  See the "Dithering Controls" in the Flat Panel page
      in nvidia-settings.  [260.19.04]
    - Added ColorSpace and ColorRange features for HDMI. These give
      the ability to output YUV over HDMI and select full/reduced
      color range on RGB over HDMI. ColorSpace and ColorRange
      are X Configuration options and can be changed dynamically
      through nvidia-settings.  [260.19.04]
    - Fixed a regression in 256.29 where Performance Level clock
      frequencies were reported incorrectly in nvidia-settings.  [256.35]
    - Fixed a bug that caused nvidia-settings to crash when rendering
      its thermal gauge widget if the range of valid values for the thermal
      sensor was empty.  [256.35]
    - Improved Thermal Settings reporting in nvidia-settings to
      accurately reflect hardware configurations with multiple thermal
      sensors.  [256.25]
  * update patches:
    - 00_destdir.diff: redo for new upstream build system
    - 02_fix_manpage_type.diff: remove, fixed upstream
    - 03_build_xnvctrl_with_fpic.diff: redo for new upstream build system
    - 04_add_missing_linked_library.diff: remove, obsolete
  * adjust paths, upstream now uses an objdir during build
  * debian/changelog: add missing history: 1.0+20060516-2, 1.0+20060516-3
  * update to Standards-Version: 3.9.2 (no changes needed)
  * update to debhelper 8
  * add Vcs-* URLs
  * add watch file
  * simplify debian/rules
  * new package libxnvctrl-dev for the NV-CONTROL X extension
  * fix installation of examples  (closes: #280602)
  * add 04_link_as-needed.diff to link with -Wl,--as-needed
  * add 05_nostrip.diff to let dh_strip do the stripping
  * add 06_fix_typos.diff to correct some misspellings noticed by lintian
  * add 07_fix_hyphenation.diff to fix hyphen-used-as-minus-sign misuse
  * drop debian/nvidia-settings.png.uue in favor of doc/nvidia-settings.png
  * add 08_nvidia-settings.desktop.diff to substitute placeholders and drop
    debian/nvidia-settings.desktop in favor of doc/nvidia-settings.desktop
  * add 09_do_not_exit_on_no_scanout.diff from Ubuntu, rediff,
    restores support for legacy drivers (96xx, 173xx)  (closes: #605490)
  * add Pre-Depends: nvidia-installer-cleanup | nvidia-common

  [ Russ Allbery ]
  * Add myself and Andreas Beckmann to Uploaders, remove Randall Donald.

 -- Russ Allbery <rra@debian.org>  Sun, 15 May 2011 17:38:35 -0700

nvidia-settings (1.0+20060516-3) unstable; urgency=low

  * ship include files for XNVCtrl (closes: #392324)

 -- Randall Donald <rdonald@debian.org>  Mon, 16 Oct 2006 15:16:06 -0700

nvidia-settings (1.0+20060516-2) unstable; urgency=low

  * install libXNVCtrl.a (closes: #375191)

 -- Randall Donald <rdonald@debian.org>  Sat,  7 Oct 2006 15:47:08 -0700

nvidia-settings (1.0+20060919-1) UNRELEASED; urgency=low

  * New upstream release (20060919)
  * include /usr/lib/libXNVCtrl.a (closes: #375191)

 -- Randall Donald <rdonald@debian.org>  Sat,  7 Oct 2006 14:31:44 -0700
