=== debian/control ===
Source: nvidia-settings
Section: contrib/x11
Priority: optional
Maintainer: Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>
Uploaders: Fathi Boudra <fabo@debian.org>,
 Andreas Beckmann <debian@abeckmann.de>,
 Russ Allbery <rra@debian.org>
DM-Upload-Allowed: yes
Build-Depends:
 debhelper (>= 8),
 m4,
 libgl1-mesa-dev | libgl-dev,
 libgtk2.0-dev,
 libxext-dev,
 libxv-dev,
 libxxf86vm-dev,
Standards-Version: 3.9.2
Vcs-Svn: svn://svn.debian.org/pkg-nvidia/packages/nvidia-settings/trunk
Vcs-Browser: http://svn.debian.org/wsvn/pkg-nvidia/packages/nvidia-settings/

Package: nvidia-settings
Architecture: i386 amd64
Pre-Depends: nvidia-installer-cleanup
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: libgl1-nvidia-glx-any
Description: Tool for configuring the NVIDIA graphics driver
 The nvidia-settings utility is a tool for configuring the NVIDIA
 Linux graphics driver.  It operates by communicating with the NVIDIA
 X driver, querying and updating state as appropriate.  This
 communication is done with the NV-CONTROL X extension.
 .
 Values such as brightness and gamma, XVideo attributes, temperature,
 and OpenGL settings can be queried and configured via nvidia-settings.

Package: libxnvctrl-dev
Section: contrib/libdevel
Architecture: i386 amd64
Pre-Depends: nvidia-common
Depends: ${shlibs:Depends}, ${misc:Depends}
Breaks: nvidia-settings (<< 260.19.44)
Replaces: nvidia-settings (<< 260.19.44)
Description: NV-CONTROL X extension (development files)
 The NV-CONTROL X extension provides a mechanism for X clients to
 query and set configuration parameters of the NVIDIA X driver.
 State set by the NV-CONTROL X extension is assumed to be persistent
 only for the current server generation.
