=== debian/changelog ===
nvidia-settings (280.13-1) unstable; urgency=low

  * New upstream release.
  * Remove nvidia-common dependency from libnvctrl-dev.  (Closes: #636821)

 -- Andreas Beckmann <debian@abeckmann.de>  Sat, 06 Aug 2011 12:20:34 +0200
