=== debian/control ===
--- 
+++ 
@@ -35,7 +35,6 @@
 Package: libxnvctrl-dev
 Section: contrib/libdevel
 Architecture: i386 amd64
-Pre-Depends: nvidia-common
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Breaks: nvidia-settings (<< 260.19.44)
 Replaces: nvidia-settings (<< 260.19.44)
