## nvidia-settings 290.10

=== debian/changelog ===
nvidia-settings (290.10-1) unstable; urgency=low

  * New upstream release.  (Closes: #639009)
  * Add pkg-config to Build-Depends and Depends.  Thanks Mackenzie Morgan!

 -- Andreas Beckmann <debian@abeckmann.de>  Wed, 23 Nov 2011 13:12:07 +0100
