=== debian/control ===
--- 
+++ 
@@ -14,14 +14,16 @@
  libxext-dev,
  libxv-dev,
  libxxf86vm-dev,
+ pkg-config,
 Standards-Version: 3.9.2
+Homepage: ftp://download.nvidia.com/XFree86/nvidia-settings/
 Vcs-Svn: svn://svn.debian.org/pkg-nvidia/packages/nvidia-settings/trunk
 Vcs-Browser: http://svn.debian.org/wsvn/pkg-nvidia/packages/nvidia-settings/
 
 Package: nvidia-settings
 Architecture: i386 amd64
 Pre-Depends: nvidia-installer-cleanup
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: pkg-config, ${shlibs:Depends}, ${misc:Depends}
 Recommends: libgl1-nvidia-glx-any
 Description: Tool for configuring the NVIDIA graphics driver
  The nvidia-settings utility is a tool for configuring the NVIDIA
