## nvidia-settings 295.20

=== debian/changelog ===
nvidia-settings (295.20-1) unstable; urgency=low

  * New upstream release.
    - Split the DFP configuration page in nvidia-settings into multiple
      tabs, allowing the controls to be displayed on smaller screens.
  * Switch debian/copyright to DEP-5 format and add more license statements
    found in the source.

 -- Andreas Beckmann <debian@abeckmann.de>  Wed, 15 Feb 2012 21:16:29 +0100
