## nvidia-settings 295.49

=== Makefile ===
--- 
+++ 
@@ -4,21 +4,17 @@
 #
 # Copyright (C) 2008 NVIDIA Corporation.
 #
-# This program is free software; you can redistribute it and/or
-# modify it under the terms of Version 2 of the GNU General Public
-# License as published by the Free Software Foundation.
-#
-# This program is distributed in the hope that it will be useful, but
-# WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See Version 2
-# of the GNU General Public License for more details.
+# This program is free software; you can redistribute it and/or modify it
+# under the terms and conditions of the GNU General Public License,
+# version 2, as published by the Free Software Foundation.
+#
+# This program is distributed in the hope that it will be useful, but WITHOUT
+# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
+# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
+# more details.
 #
 # You should have received a copy of the GNU General Public License
-# along with this program; if not, write to the:
-#
-#           Free Software Foundation, Inc.
-#           59 Temple Place - Suite 330
-#           Boston, MA 02111-1307, USA
+# along with this program.  If not, see <http://www.gnu.org/licenses>.
 #
