=== debian/changelog ===
nvidia-settings (295.49-1~bpo60+1) squeeze-backports; urgency=low

  * Rebuild for squeeze-backports.

 -- Andreas Beckmann <debian@abeckmann.de>  Thu, 28 Jun 2012 15:46:23 +0200

nvidia-settings (295.49-1) unstable; urgency=low

  * New upstream release.

 -- Andreas Beckmann <debian@abeckmann.de>  Wed, 09 May 2012 11:58:10 +0200

nvidia-settings (295.33-2) unstable; urgency=low

  * Add 10_libxnvctrl_so_0.diff: build libXNVCtrl.so.0 shared library.
  * Add libnvctrl0 package.  (Closes: #666909)

 -- Andreas Beckmann <debian@abeckmann.de>  Fri, 13 Apr 2012 08:10:30 +0200

nvidia-settings (295.33-1) unstable; urgency=low

  * New upstream release.
  * Update Standards-Version to 3.9.3, no changes needed.
  * Use the final copyright-format/1.0 URL.

 -- Andreas Beckmann <debian@abeckmann.de>  Wed, 04 Apr 2012 14:35:52 +0200

nvidia-settings (290.10-1~bpo60+1) squeeze-backports; urgency=low

  * Rebuild for squeeze-backports.

 -- Andreas Beckmann <debian@abeckmann.de>  Fri, 02 Dec 2011 12:25:52 +0100
