=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
  libxv-dev,
  libxxf86vm-dev,
  pkg-config,
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: ftp://download.nvidia.com/XFree86/nvidia-settings/
 Vcs-Svn: svn://svn.debian.org/pkg-nvidia/packages/nvidia-settings/trunk
 Vcs-Browser: http://svn.debian.org/wsvn/pkg-nvidia/packages/nvidia-settings/
@@ -34,10 +34,22 @@
  Values such as brightness and gamma, XVideo attributes, temperature,
  and OpenGL settings can be queried and configured via nvidia-settings.
 
+Package: libxnvctrl0
+Section: contrib/libs
+Architecture: i386 amd64
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Description: NV-CONTROL X extension (runtime library)
+ The NV-CONTROL X extension provides a mechanism for X clients to
+ query and set configuration parameters of the NVIDIA X driver.
+ State set by the NV-CONTROL X extension is assumed to be persistent
+ only for the current server generation.
+ .
+ This package contains the shared library.
+
 Package: libxnvctrl-dev
 Section: contrib/libdevel
 Architecture: i386 amd64
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: libxnvctrl0 (= ${binary:Version}), ${misc:Depends}
 Breaks: nvidia-settings (<< 260.19.44)
 Replaces: nvidia-settings (<< 260.19.44)
 Description: NV-CONTROL X extension (development files)
