=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1
#export NV_VERBOSE=1

%:
	dh $@

override_dh_auto_build:
	$(RM) src/libXNVCtrl/libXNVCtrl.a
	dh_auto_build -O--parallel
	$(MAKE) -C samples

override_dh_auto_clean:
	dh_auto_clean
	$(MAKE) -C samples clean
	rm -rf _out */_out

override_dh_compress:
	dh_compress --exclude=.c --exclude=.mk
