## nvidia-settings 304.88

=== debian/changelog ===
nvidia-settings (304.88-1) unstable; urgency=low

  * New upstream release 304.88.
  * Update menu title. Thanks Gaudenz Steinlin.  (Closes: #688746)

 -- Andreas Beckmann <anbe@debian.org>  Wed, 03 Apr 2013 10:55:54 +0200

nvidia-settings (304.84-1) unstable; urgency=low

  * New upstream release 304.84.
  * Update my email address and drop DMUA.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 10 Mar 2013 16:00:54 +0100

nvidia-settings (304.64-1) unstable; urgency=low

  * New upstream release 304.64.
    - Fixed a bug that sometimes prevented the display device / X screen
      selection menu from being displayed in nvidia-settings.

 -- Andreas Beckmann <debian@abeckmann.de>  Wed, 07 Nov 2012 11:02:15 +0100

nvidia-settings (304.60-1) unstable; urgency=low

  * New upstream release 304.60.
    - Updated nvidia-settings to save and restore per-monitor color correction
      settings when RandR 1.2 or later is available.
    - Fixed a bug that caused too many display devices to appear in the X Screen
      page of nvidia-settings when SLI is enabled.
    - Fixed a bug in nvidia-settings that made it report the status of ECC
      configuration incorrectly.
    - Updated nvidia-settings to report Dedicated GPU Memory (i.e., the
      memory dedicated exclusively to the GPU) and Total GPU Memory (i.e.,
      Dedicated GPU Memory plus any TurboCache(TM)-accessible system memory)
      separately on the GPU information page.
    - Added reporting of the current utilization of Dedicated GPU Memory to
      the GPU information page of nvidia-settings.
  * New upstream release 304.51.
    - Fixed a bug that sometimes caused the display layout area of the
      nvidia-settings control panel to be laid out incorrectly.

 -- Andreas Beckmann <debian@abeckmann.de>  Fri, 26 Oct 2012 10:09:56 +0200

nvidia-settings (304.48-1) unstable; urgency=low

  * New upstream release.
    - Fixed a bug that prevented the "Reset Hardware Defaults" button in
      the Display Settings page of nvidia-settings from being activated.

 -- Andreas Beckmann <debian@abeckmann.de>  Wed, 12 Sep 2012 12:56:39 +0200

nvidia-settings (304.43-1) unstable; urgency=low

  * New upstream release.
    - Fixed a bug that caused gnome-settings-daemon to revert display
      configuration changes made by nvidia-settings.
    - Updated nvidia-settings to use RandR per-CRTC gamma control, when
      available.  When controlling an X server with support for RandR 1.2,
      nvidia-settings will display the color correction widget as a tab
      within each display device page, instead of a per-X screen color
      correction page.
    - Added the ability to select and move X screens in the "X Server Display
      Configuration" page of nvidia-settings via Ctrl-(Left)Click + Drag

 -- Andreas Beckmann <debian@abeckmann.de>  Mon, 10 Sep 2012 02:57:11 +0200

nvidia-settings (304.37-1) unstable; urgency=low

  * New upstream release.
  * Add Breaks: xserver-xorg-video-nvidia (<< 302).  (Closes: #681182) 
  * Add Conflicts: xserver-xorg-video-nvidia-legacy-173xx.  (Closes: #685049)
  * Note: Use nvidia-settings-legacy-173xx for the legacy driver.

 -- Andreas Beckmann <debian@abeckmann.de>  Tue, 14 Aug 2012 10:27:39 +0200

nvidia-settings (302.17-2) unstable; urgency=low

  * debian/rules: Really use the hardened CPPFLAGS.
  * Support building with DEB_BUILD_OPTIONS=noopt.
  * Enable verbose build by default.

 -- Andreas Beckmann <debian@abeckmann.de>  Sat, 30 Jun 2012 19:33:08 +0200

nvidia-settings (302.17-1) unstable; urgency=low

  * New upstream release.
    - Fixed a bug that caused the link configuration of DisplayPort devices to
      be reported incorrectly in nvidia-settings.  [302.11]
  * Upload to unstable.
  * Switch to debhelper 9 to get the hardening build flags.
  * 10_libxnvctrl_so_0.diff, debian/rules: Use the hardened CPPFLAGS/LDFLAGS.

 -- Andreas Beckmann <debian@abeckmann.de>  Wed, 27 Jun 2012 09:18:18 +0200

nvidia-settings (302.07-1) experimental; urgency=low

  * New upstream release.
    - Added a "CurrentMetaMode" attribute to the nvidia-settings command
      line, to query and set the current MetaMode.
      As an example, these two commands are equivalent:
        xrandr --output DVI-I-2 --mode 1280x1024 --pos 0x0 \
               --output DVI-I-3 --mode 1920x1200 --pos 1280x0
        nvidia-settings --assign CurrentMetaMode=\
                "DVI-I-2: 1280x1024 +0+0, DVI-I-3: 1920x1200 +1280+0"
    - Removed overscan compensation configurability from NV-CONTROL and
      nvidia-settings. This can be configured, with finer granularity,
      through the ViewPortIn and ViewPortOut MetaMode attributes.
      See "Configuring Multiple Display Devices on One X Screen" in the
      README for details.
    - Removed Flat Panel Scaling configurability in nvidia-settings.
      Any desired scaling can be configured through the new "ViewPortIn"
      and "ViewPortOut" MetaMode attributes.
    - Expose the following additional FSAA modes via NV-CONTROL,
      nvidia-settings, and through X visuals and GLXFBConfigs:
        16X multisample FSAA on all GeForce GPUs
        Coverage sample FSAA on G80 and above GeForce GPUs
        32X multisample FSAA on G80 and above Quadro GPUs
        64X multisample FSAA on Fermi and above Quadro GPUs
    - Added a new, higher resolution icon for nvidia-settings.
    - Added a checkbox to nvidia-settings to control the texture clamping
      attribute.  When the box is checked, OpenGL textures are clamped
      according to the OpenGL specification.  When it is unchecked, GL_CLAMP
      is remapped to GL_CLAMP_TO_EDGE for borderless 2D textures.
    - Removed the "Display" and "X Screen" tabs from the "X Server Display
      Configuration Page" of nvidia-settings, and added a new "Selection"
      dropdown menu for selecting X screens or display devices.  This
      makes it easier to select X screens/Displays that are hidden.
  * Upload to experimental.

