=== debian/control ===
--- 
+++ 
@@ -3,11 +3,10 @@
 Priority: optional
 Maintainer: Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>
 Uploaders: Fathi Boudra <fabo@debian.org>,
- Andreas Beckmann <debian@abeckmann.de>,
+ Andreas Beckmann <anbe@debian.org>,
  Russ Allbery <rra@debian.org>
-DM-Upload-Allowed: yes
 Build-Depends:
- debhelper (>= 8),
+ debhelper (>= 9),
  m4,
  libgl1-mesa-dev | libgl-dev,
  libgtk2.0-dev,
@@ -24,7 +23,9 @@
 Architecture: i386 amd64
 Pre-Depends: nvidia-installer-cleanup
 Depends: pkg-config, ${shlibs:Depends}, ${misc:Depends}
-Recommends: libgl1-nvidia-glx-any
+Recommends: libgl1-nvidia-glx
+Breaks: xserver-xorg-video-nvidia (<< 302)
+Conflicts: xserver-xorg-video-nvidia-legacy-173xx
 Description: Tool for configuring the NVIDIA graphics driver
  The nvidia-settings utility is a tool for configuring the NVIDIA
  Linux graphics driver.  It operates by communicating with the NVIDIA
