=== debian/rules ===
--- 
+++ 
@@ -1,14 +1,21 @@
 #!/usr/bin/make -f
 
 #export DH_VERBOSE=1
-#export NV_VERBOSE=1
+export NV_VERBOSE=1
+
+ifneq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
+export DEBUG = 1
+endif
+
+export PREFIX = /usr
+
 
 %:
 	dh $@
 
 override_dh_auto_build:
 	$(RM) src/libXNVCtrl/libXNVCtrl.a
-	dh_auto_build -O--parallel
+	CC_ONLY_CFLAGS="$(CPPFLAGS)" dh_auto_build -O--parallel
 	$(MAKE) -C samples
 
 override_dh_auto_clean:
