## nvidia-settings 319.72

=== debian/changelog ===
nvidia-settings (319.72-1~bpo70+1) wheezy-backports; urgency=low

  * Rebuild for wheezy-backports.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 23 Nov 2013 17:30:49 +0100

nvidia-settings (319.72-1) unstable; urgency=low

  * New upstream release 319.72.
  * Remove patch 08_fix_format-security, fixed upstream.
  * Bump Standards-Version to 3.9.5. No changes needed.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 09 Nov 2013 15:23:18 +0100

nvidia-settings (319.60-1) unstable; urgency=low

  * New upstream release 319.60.
    - Fixed a bug that caused the GPU and Memory clock frequencies for some
      PowerMizer performance levels on Kepler boards to be reported incorrectly
      in the nvidia-settings control panel.
  * New upstream release 319.49.
  * 08_fix_format-security: Refresh patch, most occurrences fixed upstream.
  * Build for armhf, too.
  * Add lintian overrides for missing upstream changelog.
  * Merge changes from 313.30-2.
  * Upload to unstable.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 21 Oct 2013 11:54:36 +0200

nvidia-settings (319.32-1) experimental; urgency=low

  * New upstream release 319.32.
    - Updated the nvidia-settings control panel to report more detailed
      clocking information.
    - Fixed a bug that could cause nvidia-settings to crash when switching
      VTs after changing some settings.
    - Added a "Prefer Consistent Performance" PowerMizer Mode to the
      nvidia-settings control panel, available on Quadro boards that
      support this feature.
  * New upstream release 319.23.
    - Fixed a bug that prevented some drop-down menus in nvidia-settings
      from working correctly when using older versions of GTK+.
  * Refresh patch 08_fix_format-security.
  * Drop patch 06_fix_typos, fixed upstream.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 05 Jul 2013 13:42:15 +0200

nvidia-settings (319.17-1) experimental; urgency=low

  * New upstream release 319.17.  (Closes: #708570)
    - Updated nvidia-settings to preserve the relative positioning of displays
      when changing from a layout where multiple displays are on the same X
      screen to one where the same displays span multiple X screens.
    - Fixed nvidia-settings to dlopen(3) "libvdpau.so.1", rather than
      "libvdpau.so".
  * New upstream release 319.12.
    - Added an Underscan feature in the nvidia-settings X Server
      Display Configuration page which allows the configuration of an
      underscan border around the ViewPortOut.  This feature was
      formerly known as Overscan Compensation.
    - Updated the nvidia-settings command line interface to accept display
      device names, as well as optional target qualifiers, e.g.
             nvidia-settings -q [DVI-I-0]/RefreshRate
             nvidia-settings -q [GPU-1.DVI_I-1]/RefreshRate
    - Updated the nvidia-settings command line interface to no longer assume
      the "X screen 0" target, when no target is specified in query and assign
      operations.  Instead, all valid targets of the attribute are processed.
    - Added a VDPAU page to the nvidia-settings control panel, to display
      information about the decoding capabilities of VDPAU-capable GPUs.
  * Refresh/update patches 06_fix_typos, 07_fix_hyphenation,
    10_libxnvctrl_so_0.
  * New patch 08_fix_format-security: Fix -Werror=format-security errors.
  * Add Build-Depends: libvdpau-dev.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 24 May 2013 12:41:59 +0200

nvidia-settings (313.30-2) unstable; urgency=low

  * Merge changes from 310.51-1.
  * Upload to unstable.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 19 Oct 2013 23:21:13 +0200

nvidia-settings (313.30-1) experimental; urgency=low

  * New upstream release 313.30.
  * Bump Breaks: nvidia-alternative (<< 313.30-2) against old incompatible
    experimental versions.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 13 May 2013 17:12:44 +0200

nvidia-settings (313.18-1) experimental; urgency=low

  * New upstream release 313.18.
    - Added support in NV-CONTROL and in nvidia-settings for changing the
      Double Precision performance boost mode on supported GPUs.
    - Fixed a bug in nvidia-settings that allowed unavailable features to
      be selected in some drop-down menus.
  * Update symbols control files.

 -- Andreas Beckmann <debian@abeckmann.de>  Wed, 16 Jan 2013 21:44:29 +0100

nvidia-settings (310.51-1) unstable; urgency=low

  * New upstream release 310.51.
    - Augmented the resolution drop-down in the display configuration
      page of nvidia-settings with "implicit resolutions": for common
      resolutions, if a mode with that resolution is not available for
      a display device, that resolution will be simulated through
      MetaMode ViewPort scaling.
  * New upstream release 310.32.
    - Fixed a bug that sometimes prevented rotation controls in the nvidia-
      settings control panel from working after changing resolutions.
    - Fixed a bug in nvidia-settings that could cause the wrong
      resolution to be set in basic mode for setups based on one
      display per X screen.
  * Add Build-Conflicts: libxnvctrl-dev, to avoid accidently building the
    legacy packages against the shared library.
  * Merge changes from 304.108-2.
  * Upload to unstable.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 18 Oct 2013 21:57:22 +0200

nvidia-settings (310.19-1) experimental; urgency=low

  * New upstream release 310.19.
    - Added support for configuring stereo in nvidia-settings when stereo is
      enabled in the X configuration file.
    - Added support for configuring the ViewPortIn and ViewPortOut for display
      devices in nvidia-settings.
    - Fixed metamode bookkeeping when modifying the display configuration in
      the "X Server Display Configuration" page of nvidia-settings.
    - Added support for configuring rotation and reflection per display device 
      in nvidia-settings.
  * New upstream beta 310.14.
  * Upload to experimental.


